tt_message_create(library call)

NAME
tt_message_create — create a new message object

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_message tt_message_create(void)

DESCRIPTION

The tt_message_create function creates a new message object.

The ToolTalk service returns a message handle that is an opaque pointer to a ToolTalk structure.

RETURN VALUE

Upon successful completion, the tt_message_create function returns the unique opaque handle that identifies the message object. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned handle:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_PROCID
    The process identification is not valid.

APPLICATION USAGE

A return value of TT_ERR_PROCID implies that tt_open(3) was not issued before tt_message_create.

If the ToolTalk service is unable to create a message when requested, tt_message_create returns an invalid handle. When the application attempts to use this handle with another ToolTalk function, the ToolTalk service will return TT_ERR_POINTER.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_open(3), tt_message_send(3), tt_message_destroy(3).